GWT 2.7.0

## com.google.gwt.event.logical.shared
Class HighlightEvent<V>

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<HighlightHandler<V>>
              com.google.gwt.event.logical.shared.HighlightEvent<V>

Type Parameters:
  `V` - the highlighted value type

    public class HighlightEvent<V>

extends GwtEvent<HighlightHandler<V>>

Represents a highlight event.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`protected` | `HighlightEvent(V highlighted)` Creates a new highlight event.

Method Summary
`protected void` | `dispatch(HighlightHandler<V> handler)` Should only be called by `HandlerManager`.

`static

`<V,S extends HasHighlightHandlers<V> & HasHandlers> void`

`

`fire(S source, V highlighted)`
Fires a highlight event on all registered handlers in the handler manager.

`GwtEvent.Type<HighlightHandler<V>>` | `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`V` | `getHighlighted()` Gets the value highlighted.
`static GwtEvent.Type<HighlightHandler<?>>` | `getType()` Gets the type associated with this event.

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HighlightEvent

    protected HighlightEvent(V highlighted)

  Creates a new highlight event.

  Parameters:
    `highlighted` - value highlighted

Method Detail

### fire

    public static <V,S extends HasHighlightHandlers<V> & HasHandlers> void fire(S source,
                                                                               V highlighted)

  Fires a highlight event on all registered handlers in the handler manager.

  Type Parameters:
    `V` - the highlighted value type
    `S` - The event source
  Parameters:
    `source` - the source of the handlers
    `highlighted` - the value highlighted

### getType

    public static GwtEvent.Type<HighlightHandler<?>> getType()

  Gets the type associated with this event.

  Returns:
    returns the handler type

### getAssociatedType

    public final GwtEvent.Type<HighlightHandler<V>> getAssociatedType()

  Description copied from class: `Event`
  Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

  Specified by:
    `getAssociatedType` in class `GwtEvent<HighlightHandler<V>>`
  Returns:
    the type

### getHighlighted

    public V getHighlighted()

  Gets the value highlighted.

  Returns:
    value highlighted

### dispatch

    protected void dispatch(HighlightHandler<V> handler)

  Description copied from class: `GwtEvent`
  Should only be called by `HandlerManager`. In other words, do not use or call.

  Specified by:
    `dispatch` in class `GwtEvent<HighlightHandler<V>>`
  Parameters:
    `handler` - handler
  See Also:
    `EventBus.dispatchEvent(Event, Object)`

GWT 2.7.0